MAMMOTH


Development


Partners





How To Play

To play Mammoth, you need to have at least Java 1.6 installed. You can get the latest version of Java here.


Once Java is installed, you can start the game using the "Play Now!" button on the top left corner of this page, or on click this link. This should launch the game.

Once you have downloaded all the necessary files, the following screen should appear.


Simply accept all the certificates and the game should start.

Information specific to different operating system is available bellow:

Windows 2000, XP, etc

By default, Java is not installed on Windows. You need to install it using the instructions found above. Once Java is install, simply click on the "Play Now!" button on the top left corner of this page.

Note for non-IE users:

After clicking on the "Play Now!" button, you might see a similar window:


Choose the option to "Open with Java Web Start". If you do not see the option to open with "Java Web Start", then it is mostly likely that Java is not properly installed.

MacOS X

MacOS is the easiest OS to play Mammoth, since Java is already installed. You only need to click on the "Play Now!" link. Please note that you need at least MacOS X Leopard (10.5) to play Mammoth.

Linux

By default, Java is not installed on Linux. To make things more complicated, installing Java will most likely not properly configure your browser. There are two solutions to this problem.
  • Install Java using the the instructions found above. Click on the "Play Now!" button on the top left corner of this page. When prompt for an action to process the file, indicate to the browser that you want to open the file using the javaws command (found in the bin directory of your Java installation).
  • Install Java using the the instructions found above. You can then launch Mammoth from the command line using the following command: javaws http://mammoth.cs.mcgill.ca/jnlp/Mammoth.jnlp

Other

Mammoth uses OpenGL binding specific to target OS. Currently, only Windows, Linux and MacOS X are supported.

Login


E-mail:
Password:
Forgot your password?
Signup

Requirements


To play MAMMOTH, you need Java 1.5 to be installed.

Need help? Click here!